org.apache.ignite.stream

## Interface StreamTupleExtractor<T,K,V>

    public interface StreamTupleExtractor<T,K,V>

Stream tuple extractor to convert messages to Ignite key-value tuples.

### Method Summary

Methods
`Map.Entry<K,V>` `extract(T msg)` Extracts a key-value tuple from a message.

### Method Detail

#### extract

    Map.Entry<K,V> extract(T msg)

Extracts a key-value tuple from a message.

Parameters:
  `msg` - Message.
Returns:
  Key-value tuple.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015